Subject: bash: .bash_history and .inputrc
From: [email-masked] (Alex Schroeder)

21 Jan 1999 14:07:06 -0800
Message-ID: <[email-masked]>
To: [email-masked]

GNU bash, version 2.02.1(2)-release (i586-pc-cygwin32)

When I start bash, the history is not loaded.  If I press arrow-up, I
get a beep instead of the last command.  .bash_history does contain
all the necessary lines of code, so all I require is a loading of the
history:

Welcome to bash version 2.02.1(2)-release
~ $ wc .bash_history
    526    1077    7854 .bash_history

Checking .bash_history:

~ $ tail .bash_history
ls
tar tzf bbdb2.00.05.tar.gz
rm bbdb2.00.05.tar.gz
rm bbdb2.00.05.tar.gz
tar tzf bbdb2.00.05.tar.gz
ls
rm bbdb*tgz
ls
cp bbdb2.00.05.tar.gz /floppy/
exit
~ $

When I read it, however, nothing happens:

~ $ printenv HISTFILE
~ $ history -r
~ $ history
    1  wc .bash_history
    2  history
    3  tail .bash_history
    4  help history
    5  printenv HISTFILE
    6  history -r
    7  history
~ $

Am I missing something?  I start bash using "bash --login".

There is a similar problem with .inputrc:

~ $ printenv INPUTRC
~ $ cat .inputrc
set bell-style none
~ $

The shell still beeps at me, however.  How can I stop it short of
disconnecting the speaker?

Alex.
-- 
WWW:	<URL:http://www.geocities.com/TimesSquare/6120/>
mail:	<URL:mailto:[email-masked]>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".